@import '../../style/base/_variables';
@import '../../style/base/_mixins';

.SearchHeader {
  display: flex;
  align-items: center;
  justify-content: space-between;
  &__nav {
    position: relative;
    display: block;
    width: 64px;
    height: 64px;
    &:hover {
      .btn {
        opacity: 1;
        height: 43px;
        border: 0;
        white-space: pre-line;
        @include fontSize($font-size-sm);
        &:hover:not(:disabled) {
          background-color: rgba($color-purple-01, 0.8);
          &:after {
            border-color: transparent transparent rgba($color-purple-01, 0.8) transparent;
          }
        }
        &:before {
          content: '';
          position: absolute;
          top: -20px;
          left: -1px;
          right: -1px;
          bottom: 0;
        }
        &:after {
          content: '';
          position: absolute;
          top: -4px;
          left: 50%;
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 0 4px 5px 4px;
          border-color: transparent transparent $color-purple-01 transparent;
          transform: translateX(-50%);
        }
        span {
          display: block;
          + span {
            padding-top: 5px;
          }
        }
      }
    }
    .btn {
      position: absolute;
      width: 120px;
      left: 50%;
      bottom: -10px;
      height: 0;
      font-size: 0;
      color: $color-white;
      background-color: $color-purple-01;
      box-shadow: 4px 4px 40px rgba(0, 0, 0, 0.25);
      opacity: 0;
      transform: translate(-50%, 100%);
      transition: height 300ms ease-in-out, opacity 300ms ease-in-out, padding 300ms ease-in-out;
    }
  }
  .InputBox {
    width: calc(100% - 300px);
    height: 27px;
    margin-right: $font-size-xl;
    padding-left: 0;
    padding-right: 0;
    border-radius: 0;
    border-bottom: 1px solid $color-gray;
    box-shadow: none;
  }
  .logo {
    margin-right: 45px;
    margin-bottom: 0;
  }
}